Package picard.sam.markduplicates

# Enum Class MarkDuplicates.DuplicateTaggingPolicy

java.lang.Object
java.lang.Enum<MarkDuplicates.DuplicateTaggingPolicy>
picard.sam.markduplicates.MarkDuplicates.DuplicateTaggingPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<MarkDuplicates.DuplicateTaggingPolicy>`, `Constable`

Enclosing class:
  `MarkDuplicates`

public static enum MarkDuplicates.DuplicateTaggingPolicy extends Enum<MarkDuplicates.DuplicateTaggingPolicy>
Enum used to control how duplicates are flagged in the DT optional tag on each read.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`All`
`DontTag`
`OpticalOnly`

## Method Summary

Modifier and Type
Method
Description
`static MarkDuplicates.DuplicateTaggingPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MarkDuplicates.DuplicateTaggingPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DontTag

public static final MarkDuplicates.DuplicateTaggingPolicy DontTag

### OpticalOnly

public static final MarkDuplicates.DuplicateTaggingPolicy OpticalOnly

### All

public static final MarkDuplicates.DuplicateTaggingPolicy All

## Method Details

### values

public static MarkDuplicates.DuplicateTaggingPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MarkDuplicates.DuplicateTaggingPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null